﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Devices.Sensors;

namespace PhoneAppSensors
{
    /// <summary>
    /// Application illustrates how to use the accelerometer sensor.
    /// Remeber to add the Microsoft.Devices.Sensors.dll file to the list of References
    /// (right click and select "Add Reference...").
    /// </summary>
    public partial class MainPage : PhoneApplicationPage
    {
        // Our accelerometer object
        private Accelerometer accelerometer;

        // Constructor
        public MainPage()
        {
            InitializeComponent();

            // Disable the frame rate counter (tiny numbers on the right side of the screen)
            Application.Current.Host.Settings.EnableFrameRateCounter = false;


            // Initialize accelerometer
            this.accelerometer = new Accelerometer();

            // Subscribe for all events that occur when the accelerometer
            // values change (-> movement of the device)
            this.accelerometer.ReadingChanged += new EventHandler<AccelerometerReadingEventArgs>(accelerometer_ReadingChanged);


            // Start the accelerometer sensor
            this.accelerometer.Start();
        }



        // Handler method for update events from the accelerometer
        void accelerometer_ReadingChanged(object sender, AccelerometerReadingEventArgs e)
        {
            Deployment.Current.Dispatcher.BeginInvoke(() =>
            {
                this.textBlockAccelerometer.Text =
                    "X:  " + e.X.ToString("0.0") + Environment.NewLine +
                    "Y:  " + e.Y.ToString("0.0") + Environment.NewLine +
                    "Z:  " + e.Z.ToString("0.0");
            });
        }
    }
}